Bug 89934 - Fails to find entries it gdbm file
Fails to find entries it gdbm file
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-29 18:13 EDT by Dan Gynn
Modified: 2015-01-07 19:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:18:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Gynn 2003-04-29 18:13:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030313

Description of problem:
After setting new RH9 server as slave LDAP server and copying gdbm files from
master.  This version of LDAP will not find any entries.  Running in debug mode,
it looks like it may be looking in the wrong directory, but I'm not sure.  I was
able to work around installing the LDAP packages from RH8

Version-Release number of selected component (if applicable):
2.0.27-8

How reproducible:
Always

Steps to Reproduce:
1.Setup master LDAP server w/ RH8
2.Populate LDAP database and test
3.Setup slave LDAP server w/ RH9 and copy gdbm files
4.Do an ldapsearch on the slave
    

Actual Results:  "no objects found" result

Expected Results:  The actually LDAP record

Additional info:
Comment 1 System Detection Staff 2003-05-05 15:57:36 EDT
I would call this an upgrade bug, and as such would ask someone (like the
submitter) to change the Summary field to something like: ``RedHat 9 OpenLDAP is
not disk-backwards compatable with RH8 gdbm dbs (uses dbb after upgrade)''

The new version of OpenLDAP on RH9 uses some other database backend other than
the previous example of "GDBM".  Specifically,
it uses the Berkley DB backend which uses files named .dbb (why .dbb instead of
.bdb or something like that....)

You can manually upgrade the database by performing the following steps:

/etc/init.d/ldap stop
slapcat-gdbm -l /tmp/ldif
slapadd -l /tmp/ldif
/etc/init.d/ldap start

Note this took me six hours or more to figure out and then figure out a
solution, during which the site was down.  Sure, you have to expect downtime,
but I had successfully tested the upgrade on several machines first so was not
expecting such severe problems.  I'm not exactly sure how you might patch this
since it is an upgrade problem (perhaps a patched startup script which looks for
the old files and NOT the new files, and issues the conversion appropriately).
Comment 2 Bill Nottingham 2006-08-05 01:26:20 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2007-01-02 14:18:58 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.